_lscp_param_info_t Struct Reference

`#include <device.h>`

## Data Fields

lscp_type_t | type
char * | description
int | mandatory
int | fix
int | multiplicity
char ** | depends
char * | defaultv
char * | range_min
char * | range_max
char ** | possibilities

## Detailed Description

Common parameter info cache struct.

## Field Documentation

char* _lscp_param_info_t::defaultv

Referenced by client_test_param_info(), lscp_param_info_free(), and lscp_param_info_init().

char** _lscp_param_info_t::depends

Referenced by client_test_param_info(), lscp_param_info_free(), and lscp_param_info_init().

char* _lscp_param_info_t::description

Referenced by client_test_param_info(), lscp_param_info_free(), and lscp_param_info_init().

int _lscp_param_info_t::fix

Referenced by client_test_param_info(), and lscp_param_info_init().

int _lscp_param_info_t::mandatory

Referenced by client_test_param_info(), and lscp_param_info_init().

int _lscp_param_info_t::multiplicity

Referenced by client_test_param_info(), and lscp_param_info_init().

char** _lscp_param_info_t::possibilities

Referenced by client_test_param_info(), lscp_param_info_free(), and lscp_param_info_init().

char* _lscp_param_info_t::range_max

Referenced by client_test_param_info(), lscp_param_info_free(), and lscp_param_info_init().

char* _lscp_param_info_t::range_min

Referenced by client_test_param_info(), lscp_param_info_free(), and lscp_param_info_init().

lscp_type_t _lscp_param_info_t::type

Referenced by client_test_param_info(), and lscp_param_info_init().

The documentation for this struct was generated from the following file:

- device.h